QGIS Application - Feature request #2182
Selective display of categorised layer
2009-12-03 02:32 AM - mesajs -

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 12242
Description

When symbology for a vector layer is set to 'Unique value', could a check box be added beside each classification in the legend to turn
on/off rendering of classifications (and associated labels).

Eg If a classification field has values 'Small’, 'Medium' and 'Large’, the user could uncheck 'Small' and only 'Medium' and 'Large’ objects
would be displayed.

Ideally, only the selected classifications would appear in map legends on Map Composer and Quick Print.

History

#1 - 2009-12-03 02:34 AM - Giovanni Manghi

But there is a "delete classes" button, isn't that enough?

#2 - 2009-12-03 02:43 AM - mesajs -

Delete classes certainly stops a class displaying, but displaying it again requires setting up the symbology for that class all over again. This can be a
problem for less sophisticated users.

| was thinking of making it as easy as turning whole layers on and off.

Tony

#3 - 2011-12-08 08:03 AM - Matt Sim

<bump> Feeling pretty lonely about it, but i would love this capability.

I work on route planning studies, and this feature would be amazing for comparing scenarios, dynamic feature priority filters... and just plain reducing
visual clutter when focusing on one issue. At present i do one of the following (all of which would be solved by this one feature):

- use the Split layer plugin, but then i'm duplicating data

- load the layer multiple times with sql filtering, but then edits and such are disabled

- if its PostGIS, i could make views with edit rules/triggers, but the response time on large views defeats the idea of "strobe" or "toggle-style" comparisons,
and feels like too much work just for something that arises on-the-fly (there's no way i'm triggering all tables, but i've know way of knowing beforehand
which ones would need it).

hoping others agree,

matt
#4 - 2011-12-08 04:08 PM - Giovanni Manghi
- Assignee deleted (nobody -)
- Pull Request or Patch supplied set to No

Matt Sim wrote:

<bump> Feeling pretty lonely about it, but i would love this capability.

I work on route planning studies, and this feature would be amazing for comparing scenarios, dynamic feature priority filters... and just plain reducing
visual clutter when focusing on one issue. At present i do one of the following (all of which would be solved by this one feature):

- use the Split layer plugin, but then i'm duplicating data

- load the layer multiple times with sql filtering, but then edits and such are disabled

- if its PostGIS, i could make views with edit rules/triggers, but the response time on large views defeats the idea of "strobe" or "toggle-style"
comparisons, and feels like too much work just for something that arises on-the-fly (there's no way i'm triggering all tables, but i've know way of
knowing beforehand which ones would need it).

hoping others agree,

matt

are you sure you can't achieve what you need with the "rule based renderer"?

#5 - 2011-12-08 05:11 PM - Nathan Woodrow

+1 to adding this as a feature.

Being able to turn on and off symbols in a style for a layer would be handy.

#6 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-02-24 07:21 AM - Mayeul Kauffmann

"are you sure you can't achieve what you need with the "rule based renderer" ?"

The workaround | use is:

To turn a rule always off:

1=0 and (rule)

To turn a rule always on:

1=1 or (rule)

#8 - 2012-02-24 05:49 PM - Matt Sim

This feature, as | imagine it, would be in addition to Rules. (or categories, or any symbology that results in more than one class.)
When a layer is expanded, the symbology for each class is shown. What | propose is the addition of a checkbox beside each class.

Perhaps this capability could be turned on from the Layer properties dialog. | imagine a combo box titled "Add Class display controls" with three options:
none, checkboxes, radio buttons. "None" would be the default/current behavior.
Here is an example of how | would use it:

| have two postgis tables, highway_alternatives, and terrestial_constraints.
With the addition of this feature, | would load each table only once, and immediately be able to make comparisons by applying the radio button control to
highway_alternatives, and checkboxes to terrestrial_constraints. It's quick, relevant, and intuitive.

#9 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#10 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#11 - 2015-08-03 07:44 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Implemented for a few versions now
